# Microsoft Developer Studio Generated NMAKE File, Based on SmartCard.dsp
!IF "$(CFG)" == ""
CFG=SmartCard - Win32 Debug
!MESSAGE No configuration specified. Defaulting to SmartCard - Win32 Debug.
!ENDIF 

!IF "$(CFG)" != "SmartCard - Win32 Release" && "$(CFG)" != "SmartCard - Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE 
!MESSAGE NMAKE /f "SmartCard.mak" CFG="SmartCard - Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "SmartCard - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE "SmartCard - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!IF  "$(CFG)" == "SmartCard - Win32 Release"

OUTDIR=.\Release
INTDIR=.\Release

ALL : "..\..\MY_C32\cardreaders\Release\SmartCard.dll"


CLEAN :
	-@erase "$(INTDIR)\EmvApdu.obj"
	-@erase "$(INTDIR)\SmartCard.obj"
	-@erase "$(INTDIR)\SmartCard.pch"
	-@erase "$(INTDIR)\SmartCard.res"
	-@erase "$(INTDIR)\smartrdr.obj"
	-@erase "$(INTDIR)\StdAfx.obj"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(OUTDIR)\SmartCard.exp"
	-@erase "$(OUTDIR)\SmartCard.lib"
	-@erase "..\..\MY_C32\cardreaders\Release\SmartCard.dll"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "SMARTCARD_EXPORTS" /Fp"$(INTDIR)\SmartCard.pch" /Yu"stdafx.h" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

MTL=midl.exe
MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
RSC=rc.exe
RSC_PROJ=/l 0x419 /fo"$(INTDIR)\SmartCard.res" /d "NDEBUG" 
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\SmartCard.bsc" 
BSC32_SBRS= \
	
LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\SmartCard.pdb" /machine:I386 /def:".\SmartCard.def" /out:"C:\MY_C32\cardreaders\Release\SmartCard.dll" /implib:"$(OUTDIR)\SmartCard.lib" 
DEF_FILE= \
	".\SmartCard.def"
LINK32_OBJS= \
	"$(INTDIR)\EmvApdu.obj" \
	"$(INTDIR)\SmartCard.obj" \
	"$(INTDIR)\smartrdr.obj" \
	"$(INTDIR)\StdAfx.obj" \
	"$(INTDIR)\SmartCard.res"

"..\..\MY_C32\cardreaders\Release\SmartCard.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ELSEIF  "$(CFG)" == "SmartCard - Win32 Debug"

OUTDIR=.\Debug
INTDIR=.\Debug
# Begin Custom Macros
OutDir=.\Debug
# End Custom Macros

ALL : "$(OUTDIR)\SmartCard.dll"


CLEAN :
	-@erase "$(INTDIR)\EmvApdu.obj"
	-@erase "$(INTDIR)\SmartCard.obj"
	-@erase "$(INTDIR)\SmartCard.pch"
	-@erase "$(INTDIR)\SmartCard.res"
	-@erase "$(INTDIR)\smartrdr.obj"
	-@erase "$(INTDIR)\StdAfx.obj"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(OUTDIR)\SmartCard.dll"
	-@erase "$(OUTDIR)\SmartCard.exp"
	-@erase "$(OUTDIR)\SmartCard.ilk"
	-@erase "$(OUTDIR)\SmartCard.lib"
	-@erase "$(OUTDIR)\SmartCard.pdb"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "SMARTCARD_EXPORTS" /Fp"$(INTDIR)\SmartCard.pch" /Yu"stdafx.h" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

MTL=midl.exe
MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
RSC=rc.exe
RSC_PROJ=/l 0x419 /fo"$(INTDIR)\SmartCard.res" /d "_DEBUG" 
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\SmartCard.bsc" 
BSC32_SBRS= \
	
LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\SmartCard.pdb" /debug /machine:I386 /def:".\SmartCard.def" /out:"$(OUTDIR)\SmartCard.dll" /implib:"$(OUTDIR)\SmartCard.lib" /pdbtype:sept 
DEF_FILE= \
	".\SmartCard.def"
LINK32_OBJS= \
	"$(INTDIR)\EmvApdu.obj" \
	"$(INTDIR)\SmartCard.obj" \
	"$(INTDIR)\smartrdr.obj" \
	"$(INTDIR)\StdAfx.obj" \
	"$(INTDIR)\SmartCard.res"

"$(OUTDIR)\SmartCard.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF 


!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("SmartCard.dep")
!INCLUDE "SmartCard.dep"
!ELSE 
!MESSAGE Warning: cannot find "SmartCard.dep"
!ENDIF 
!ENDIF 


!IF "$(CFG)" == "SmartCard - Win32 Release" || "$(CFG)" == "SmartCard - Win32 Debug"
SOURCE=.\EmvApdu.cpp

"$(INTDIR)\EmvApdu.obj" : $(SOURCE) "$(INTDIR)" "$(INTDIR)\SmartCard.pch"


SOURCE=.\SmartCard.cpp

"$(INTDIR)\SmartCard.obj" : $(SOURCE) "$(INTDIR)" "$(INTDIR)\SmartCard.pch"


SOURCE=.\SmartCard.rc

"$(INTDIR)\SmartCard.res" : $(SOURCE) "$(INTDIR)"
	$(RSC) $(RSC_PROJ) $(SOURCE)


SOURCE=.\smartrdr.cpp

"$(INTDIR)\smartrdr.obj" : $(SOURCE) "$(INTDIR)" "$(INTDIR)\SmartCard.pch"


SOURCE=.\StdAfx.cpp

!IF  "$(CFG)" == "SmartCard - Win32 Release"

CPP_SWITCHES=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "SMARTCARD_EXPORTS" /Fp"$(INTDIR)\SmartCard.pch" /Yc"stdafx.h" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 

"$(INTDIR)\StdAfx.obj"	"$(INTDIR)\SmartCard.pch" : $(SOURCE) "$(INTDIR)"
	$(CPP) @<<
  $(CPP_SWITCHES) $(SOURCE)
<<


!ELSEIF  "$(CFG)" == "SmartCard - Win32 Debug"

CPP_SWITCHES=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "SMARTCARD_EXPORTS" /Fp"$(INTDIR)\SmartCard.pch" /Yc"stdafx.h" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 

"$(INTDIR)\StdAfx.obj"	"$(INTDIR)\SmartCard.pch" : $(SOURCE) "$(INTDIR)"
	$(CPP) @<<
  $(CPP_SWITCHES) $(SOURCE)
<<


!ENDIF 


!ENDIF 

